using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 在外部系统出现问题时，将调用数据存到此表，等外部系统恢复后，重新调外部系统接口
    /// </summary>
    [Description("连接异步暂存表")]
   [IgnoreT4]public class T_FM_EXT_CONN_ASYNCH_TEMP : MesEntityBase
    {
        public T_FM_EXT_CONN_ASYNCH_TEMP()
        {
            this.TIME = DateTime.Now;
        }

        /// <summary>
        /// 用于表示该生产入库单连接哪种类型的外部系统进行数据同步，默认为SAP
        /// </summary>
        [Description("外部连接目标类型")]
        [EnumName("FMExtConnDestTypeEnum")]
        public int EXT_CONN_DEST_TYPE { get; set; }

        /// <summary>
        /// 注意：不能添加导航属性
        /// </summary>
        [Description("外部连接日志ID")]
        public Guid? EXT_CONN_LOG_ID { get; set; }
        /// <summary>
        /// 注意：不能添加导航属性
        /// </summary>
        [Description("外部连接事物ID")]
        public Guid? EXT_CONN_TRANS_ID { get; set; }

        /// <summary>
        /// 参数
        /// </summary>
        [Description("参数")]
        public string PARAMS { get; set; }

        /// <summary>
        ///执行结果状态  FMExtConnExecuteResultStatusEnum
        /// </summary>
        [EnumName("FMExtConnExecuteResultStatusEnum")]
        [Description("执行结果状态")]
        public int EXECUTE_RESULT_STATUS { get; set; }

        /// <summary>
        /// 信息
        /// </summary>
        [Description("信息")]
        public string ECMSAGE { get; set; }

        [Description("时间")]
        public DateTime? TIME { get; set; }

        [Description("第一次执行时间")]
        public DateTime? FIRST_EXECUTE_TIME { get; set; }

        [Description("顺序")]
        public int NUM { get; set; }




        /// <summary>
		/// 调用函数名称
		/// </summary>
		public string FUNC_NAME { get; set; }

        /// <summary>
        /// 表名称
        /// </summary>
        public string TABLE_NAME{ get; set; }

        /// <summary>
        /// 结果标记字段名称
        /// </summary>
        public string FLAG_FEILD_NAME { get; set; }

        /// <summary>
        /// 结果标记字段名称
        /// </summary>
        public string FLAG_ECMSAGE_FIELD_NAME{ get; set; }

        /// <summary>
        /// 结果信息字段名称
        /// </summary>
        public string ECMSAGE_FIELD_NAME { get; set; }

     


        public Guid? SAP_BOOKING_LOG_ID { get; set; }
        public Guid? EXT_PDT_ORDER_RESB_ID { get; set; } 
         
    }
}
